<?php
function b3_zara_et_builder_get_caldera_forms() {
	$forms = Caldera_Forms::get_forms();
	$got_forms = array();
	if(!empty($forms)){
	foreach($forms as $form_id=>$form){
		$got_forms += [$form_id => esc_html__( $form['name'], 'et_builder' )];
	}
	}else{
		$got_forms += [null => 'Sorry No Forms Make Some'];
	}
	return $got_forms;
}
	
add_action("epanel_render_maintabs", 'add_b3_zara_epanel_tab');

function add_b3_zara_epanel_tab(){
  add_b3_zara_epanel_fields();
  ?>
  <li><a href="#wrap-zara"><?php echo 'Zara'; ?></a></li>
  <?php
}


add_action("et_epanel_changing_options", 'add_b3_zara_epanel_fields');

function add_b3_zara_epanel_fields(){
  global $epanelMainTabs, $themename, $shortname, $options;
	/* main tab */
  $options[] = array(
    "name" => "wrap-zara",
    "type" => "contenttab-wrapstart",);
	
	
  $options[] = array(
    "type" => "subnavtab-start",);
	
  
  
  $options[] = array(
    "name" => "zara-2",
    "type" => "subnav-tab",
    "desc" => esc_html__("Book Table Button", $themename)
  );
  
   $options[] = array(
    "name" => "zara-4",
    "type" => "subnav-tab",
    "desc" => esc_html__("Preloader", $themename)
  );
  
  $options[] = array(
    "type" => "subnavtab-end",);

	/* sub tab 2*/

  $options[] = array(
    "name" => "zara-2",
    "type" => "subcontent-start",);

  $options[] = array(
    'name' => esc_html__('Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_background_color",
    'desc' => 'Background Color',
    'std' => 'rgba(2, 126, 233, 0)',
  );
   $options[] = array(
    'name' => esc_html__('Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_text_color",
    'desc' => 'Text Color',
    'std' => '#dce3ec',
  );
  
  $options[] = array(
    'name' => esc_html__('Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_border_color",
    'desc' => 'Border Color',
    'std' => '#cea56d',
  );
  
   $options[] = array(
    'name' => esc_html__('Hover Background Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_hover_background_color",
    'desc' => 'Hover Background Color',
    'std' => 'rgba(2, 126, 233, 0)',
  );
   $options[] = array(
    'name' => esc_html__('Hover Text Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_hover_text_color",
    'desc' => 'Hover Text Color',
    'std' => '#dce3ec',
  );
  
  $options[] = array(
    'name' => esc_html__('Hover Border Color', $themename),
    'type' => 'et_color_palette',
    'id' => $shortname . "_button_book_table_hover_border_color",
    'desc' => 'Hover Border Color',
    'std' => '#ffffff',
  );
  
  
  $options[] = array(
    'name' => esc_html__('Border Radius', $themename),
    'type' => 'text',
    'id' => $shortname . "_button_book_table_border_radius",
    'desc' => 'Border Radius',
    'std' => '0px',
  );
  
  $options[] = array(
	'name' => esc_html__('Book Table Caldera Popup Form', $themename),
	'desc' => '',
	 'id' => $shortname . "_top_menu_caldera_popup_form",
	"type" => "select",
	'options'  => b3_zara_et_builder_get_caldera_forms(),
	'et_save_values' => true,
   );
   
  
  $options[] = array(
    "name" => "zara-2",
    "type" => "subcontent-end",);
	
	/* sub tab 2*/
	
  $options[] = array(
    "name" => "zara-4",
    "type" => "subcontent-start",);
	
	$options[] = array(
	'name' => esc_html__('Preloader', $themename),
	'id' => $shortname . "_zara_preloader_option",
    'desc' => 'Prealoder   ENABLE/DISABLE ',
    'std' => 'on',
    "type" => "checkbox"
   );
   
  $options[] = array(
	'name' => esc_html__('Preloader Images', $themename),
	'desc' => '',
	"type" => "callback_function",
	"function_name" => 'et_zara_preloader_option',
   );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Image Uploader', $themename),
    'id' => $shortname . "_zara_preloader_custom_image",
    'desc' => 'You can Upload your Desire image.Image size will be maximum width: 200px and maximum height : 200px',
    'std' => '',
    "type" => "upload"
  );
  
	 $options[] = array(
    'name' => esc_html__('Preloader background color', $themename),
    'id' => $shortname . "_zara_preloader_background_color",
    'desc' => 'Please Select preloader background color here. You can also add html HEX color code.',
    'std' => '#fefefe',
    "type" => "et_color_palette"
  );
  
  
  $options[] = array(
    'name' => esc_html__('Preloader Effects', $themename),
    'id' => $shortname . "_zara_preloader_effects",
    'desc' => 'Preloader Effects.',
    'std' => 'fadeOut',
    "type" => "select",
    "options" => array(
      'fadeOut' => esc_html__('FadeOut ', $themename),
      'slideUp' => esc_html__('SlideUp', $themename),
    ),
	'et_save_values' => true,
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_zara_preloader_delay_time",
    'desc' => 'Please put delay time, only use number. Default value is 350. Example: 350',
    'std' => '350',
  );
  
  $options[] = array(
    'name' => esc_html__('Body Delay time', $themename),
    'type' => 'text',
    'id' => $shortname . "_zara_preloader_body_delay_time",
    'desc' => 'Please put delay time, only use number. Default value is 350. Example: 350',
    'std' => '350',
  );
  
   $options[] = array(
    'name' => esc_html__('Preloader body Opacity', $themename),
    'type' => 'text',
    'id' => $shortname . "_zara_preloader_body_opacity",
    'desc' => 'Please put Opacity, only use number. Default value is 1. Example: .8 You can learn more about opacity',
    'std' => '1',
  );
  
  
   $options[] = array(
    'name' => esc_html__('Preloader Fadeout Speed', $themename),
    'id' => $shortname . "_zara_preloader_fadeout_speed",
    'desc' => 'Preloader Fadeout Speed.',
    'std' => 'fast',
    "type" => "select",
    "options" => array(
      'fast' => esc_html__('Fast', $themename),
      'slow' => esc_html__('Slow', $themename),
    ),
	'et_save_values' => true,
  );
  
  
  
	 $options[] = array(
    "name" => "zara-4",
    "type" => "subcontent-end",);
	
	
	
  $options[] = array(
    "name" => "wrap-zara",
    "type" => "contenttab-wrapend",);
	/* main tab */
}
?>